Package bitel.billing.server.contract.bean

# Class ContractServiceManager

java.lang.Object
bitel.billing.server.contract.bean.ContractServiceManager

public class ContractServiceManager extends Object
Класс управления разрешенными услугами договора.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractServiceManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteContractService(int id)`
  Удаление записи из базы.
  `void`
  `deleteContractService(int contractId, int moduleId)`
  Удаляет все услуги из базы для данного договора и данного модуля
  `void`
  `deleteContractService(String ids)`
  Удаление нескольких записей из базы.
  `ContractService`
  `getContractServiceById(int id)`
  Получает записи из базы по уникальному коду.
  `ContractService`
  `getContractServiceByID(int id)`
  Deprecated.
  `List<ContractService>`
  `getContractServiceList(int cid, int mid)`
  Возвращает список услуг для данного договора и модуля
  `List<ContractService>`
  `getContractServiceList(int cid, int mid, Date date)`
  Список разрешенных услуг на дату.
  `List<ContractService>`
  `getContractServiceList(int cid, Calendar date)`
  Список разрешенных услуг на дату.
  `List<ContractService>`
  `getContractServiceList(int contractId, List<Integer> serviceIds, Calendar date1, Calendar date2)`
  Перечень разрешенных услуг, активных в какой-то период.
  `Set<Integer>`
  `getContractServiceSet(int cid, Date date)`
  Коды разрешенных на какую-то дату услуг.
  `void`
  `updateContractService(String id, ContractService value)`
  Обновление/добавление записи в базу.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractServiceManager

    public ContractServiceManager(Connection con)

- ## Method Details

  - ### getContractServiceList

    public List<ContractService> getContractServiceList(int cid, int mid)
    Возвращает список услуг для данного договора и модуля
    Parameters:
      `cid` - код договора
      `mid` - код модуля
    Returns:

  - ### getContractServiceList

    public List<ContractService> getContractServiceList(int cid, Calendar date)
    Список разрешенных услуг на дату.
    Parameters:
      `cid` - код договора
      `date` - дата
    Returns:

  - ### getContractServiceList

    public List<ContractService> getContractServiceList(int cid, int mid, Date date)
    Список разрешенных услуг на дату.
    Parameters:
      `cid` - код договора
      `mid` - код экземпляра модуля
      `date` - дата
    Returns:

  - ### getContractServiceSet

    public Set<Integer> getContractServiceSet(int cid, Date date)
    Коды разрешенных на какую-то дату услуг.
    Parameters:
      `cid` - код договора
      `date` - дата
    Returns:

  - ### getContractServiceById

    public ContractService getContractServiceById(int id)
    Получает записи из базы по уникальному коду.
    Parameters:
      `id` - код записи
    Returns:

  - ### getContractServiceByID

    @Deprecated public ContractService getContractServiceByID(int id)
    Deprecated.
    Использовать `getContractServiceById(int)`.
    Parameters:
      `id` -
    Returns:

  - ### updateContractService

    public void updateContractService(String id, ContractService value)
    Обновление/добавление записи в базу.
    Parameters:
      `id` - строка с кодом записи либо "new" для добавления
      `value` - параметры разрешенной услуги

  - ### deleteContractService

    public void deleteContractService(int id)
    Удаление записи из базы.
    Parameters:
      `id` - код записи

  - ### deleteContractService

    public void deleteContractService(int contractId, int moduleId)
    Удаляет все услуги из базы для данного договора и данного модуля
    Parameters:
      `contractId` - код договора
      `moduleId` - код модуля

  - ### deleteContractService

    public void deleteContractService(String ids)
    Удаление нескольких записей из базы.
    Parameters:
      `ids` - коды записей через запятую

  - ### getContractServiceList

    public List<ContractService> getContractServiceList(int contractId, List<Integer> serviceIds, Calendar date1, Calendar date2)
    Перечень разрешенных услуг, активных в какой-то период.
    Parameters:
      `contractId` - код договора
      `serviceIds` - коды услуг через запятую
      `date1` - начало периода
      `date2` - конец периода
    Returns: